%define majver 0

Summary:	The password database library
Name:		pwdb
Version:	0.61.2
Release:	1mdk
License:	GPL
Group:		System/Libraries

Source:		pwdb-%{PACKAGE_VERSION}.tar.bz2
Patch0:		pwdb-0.61-includes.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	gcc

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package conf
Summary:	The password database library config
Group:		System/Libraries

%description conf
Configuration package for the libpwdb, the password database library.

%package -n lib%{name}%{majver}
Summary:	The password database library
Group:		System/Libraries
Requires:	%{name}-conf
Provides:	pwdb = %{version}-%{release}
Obsoletes:	pwdb

%description -n lib%{name}%{majver}
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package -n lib%{name}%{majver}-devel
Summary:	The pwdb include files and link library
Group:		Development/C
Requires:	lib%{name}%{majver} = %version-%release
Provides:	pwdb-devel = %version-%release
Conflicts:	pwdb-devel <= 0.61

%description -n lib%{name}%{majver}-devel
The development header / link library for pwdb.

%package -n lib%{name}%{majver}-static-devel
Summary:	The pwdb static library
Group:		Development/C
Requires:	lib%{name}%{majver}-devel = %version-%release

%description -n lib%{name}%{majver}-static-devel
The static development library for pwdb.

%prep
%setup -q
%patch0 -p1 -b .includes

rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_lib},%{_sysconfdir},%{_includedir}/pwdb}

make	INCLUDED=$RPM_BUILD_ROOT%{_includedir}/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/%{_lib} \
	LDCONFIG=":" \
	install

install -m 644 conf/pwdb.conf $RPM_BUILD_ROOT%{_sysconfdir}/pwdb.conf

ln -sf lib%{name}.so.%{version} $RPM_BUILD_ROOT/%{_lib}/lib%{name}.so.%{majver}

%post -n lib%{name}%{majver} -p /sbin/ldconfig

%postun -n lib%{name}%{majver} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files conf
%defattr(-,root,root)
%doc Copyright doc/pwdb.txt doc/html
%config(noreplace) %_sysconfdir/pwdb.conf

%files -n lib%{name}%{majver}
%defattr(-,root,root)
/%{_lib}/libpwdb.so.*

%files -n lib%{name}%{majver}-devel
%defattr(-,root,root)
/%{_lib}/libpwdb.so
%_includedir/pwdb

%files -n lib%{name}%{majver}-static-devel
%defattr(-,root,root)
/%{_lib}/libpwdb.a

%changelog
* Mon Aug 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.61.2-1mdk
- 0.61.2
- libification

* Tue Jun 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.61-7mdk
- Patch0: Add missing includes
- Rpmlint fixes: hardcoded-library-path

* Fri Feb 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.61-6mdk
- BuildRequires

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.61-5mdk
- Use %%_tmppath for BuildRoot
- Requires: %%name = %%version-%%release and not only %%version

* Tue Aug 29 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.61-4mdk
- License is GPL
- /etc/pwdb.conf -> noreplace

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 0.61-3mdk
- add soname

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.61-2mdk
- Fix bad tag value.
- Added a devel package.

* Mon Mar 20 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.61-1mdk
- 0.61

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix setting the password for passwordless accounts. Patch from Thomas
  Sailer

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
